互換性 (Compatibility)

Androidの特徴の一つとして積極的な機能更新がある。是非があろうかと思うんですが、新機能を使おうとすると過去のバージョンを捨てることを検討しなければならない訳で、ユーザーメリットを考えるとナカナカ踏み切れないことも。例えばMultiTouch?対応は Android 2.0 以降にサポートされた関数群なんですが、高々MultiTouch対応のために Xperia等の Android 1.6 以下の機種を切り捨ててもいいのか悩みます。

まあそれを解決するのは reflection だったりするとそれはそれで萎える訳で、何かこうスマートな方法は無かったんだろうかと小一時間(ry。

本拠地

Key : API Levels Java/Reflection


Last-modified: 2012.09.23 (日) 07:15:45 (4177d)